langcode: en
status: open
dependencies:
  enforced:
    module:
      - webform
open: null
close: null
uid: null
template: false
id: contact
title: Contact
description: 'Basic email contact webform.'
category: ''
elements: |
  name:
    '#title': 'Your Name'
    '#type': textfield
    '#required': true
    '#default_value': '[webform-authenticated-user:display-name]'
  email:
    '#title': 'Your Email'
    '#type': email
    '#required': true
    '#default_value': '[webform-authenticated-user:mail]'
  subject:
    '#title': Subject
    '#type': textfield
    '#required': true
    '#test': 'Testing contact webform from [site:name]'
  message:
    '#title': Message
    '#type': textarea
    '#required': true
    '#test': 'Please ignore this email.'
  actions:
    '#type': webform_actions
    '#title': 'Submit button(s)'
    '#submit__label': 'Send message'
css: ''
javascript: ''
settings:
  ajax: false
  ajax_scroll_top: form
  page: true
  page_submit_path: ''
  page_confirm_path: ''
  form_submit_once: false
  form_exception_message: ''
  form_open_message: ''
  form_close_message: ''
  form_previous_submissions: true
  form_confidential: false
  form_confidential_message: ''
  form_convert_anonymous: false
  form_prepopulate: false
  form_prepopulate_source_entity: false
  form_prepopulate_source_entity_required: false
  form_prepopulate_source_entity_type: ''
  form_reset: false
  form_disable_autocomplete: false
  form_novalidate: false
  form_unsaved: false
  form_disable_back: false
  form_autofocus: false
  form_details_toggle: false
  submission_label: ''
  submission_log: false
  submission_user_columns: {  }
  wizard_progress_bar: true
  wizard_progress_pages: false
  wizard_progress_percentage: false
  wizard_start_label: ''
  wizard_confirmation: true
  wizard_confirmation_label: ''
  preview: 0
  preview_label: ''
  preview_title: ''
  preview_message: ''
  preview_attributes: {  }
  preview_excluded_elements: {  }
  preview_exclude_empty: true
  draft: none
  draft_multiple: false
  draft_auto_save: false
  draft_saved_message: ''
  draft_loaded_message: ''
  confirmation_type: url_message
  confirmation_title: ''
  confirmation_message: 'Your message has been sent.'
  confirmation_url: '<front>'
  confirmation_attributes: {  }
  confirmation_back: true
  confirmation_back_label: ''
  confirmation_back_attributes: {  }
  limit_total: null
  limit_total_message: ''
  limit_user: null
  limit_user_message: ''
  purge: none
  purge_days: null
  entity_limit_total: null
  entity_limit_user: null
  results_disabled: false
  results_disabled_ignore: false
  token_update: false
access:
  create:
    roles:
      - anonymous
      - authenticated
    users: {  }
    permissions: {  }
  view_any:
    roles: {  }
    users: {  }
    permissions: {  }
  update_any:
    roles: {  }
    users: {  }
    permissions: {  }
  delete_any:
    roles: {  }
    users: {  }
    permissions: {  }
  purge_any:
    roles: {  }
    users: {  }
    permissions: {  }
  view_own:
    roles: {  }
    users: {  }
    permissions: {  }
  update_own:
    roles: {  }
    users: {  }
    permissions: {  }
  delete_own:
    roles: {  }
    users: {  }
    permissions: {  }
handlers:
  email_confirmation:
    id: email
    label: 'Email confirmation'
    handler_id: email_confirmation
    status: true
    conditions: {  }
    weight: 1
    settings:
      states:
        - completed
      to_mail: '[webform_submission:values:email:raw]'
      to_options: {  }
      cc_mail: ''
      cc_options: {  }
      bcc_mail: ''
      bcc_options: {  }
      from_mail: default
      from_options: {  }
      from_name: default
      subject: '[webform_submission:values:subject:raw]'
      body: '[webform_submission:values:message:value]'
      excluded_elements: {  }
      ignore_access: false
      exclude_empty: true
      html: true
      attachments: false
      debug: false
      reply_to: ''
      return_path: ''
      sender_mail: ''
      sender_name: ''
  email_notification:
    id: email
    label: 'Email notification'
    handler_id: email_notification
    status: true
    conditions: {  }
    weight: 1
    settings:
      states:
        - completed
      to_mail: default
      to_options: {  }
      cc_mail: ''
      cc_options: {  }
      bcc_mail: ''
      bcc_options: {  }
      from_mail: '[webform_submission:values:email:raw]'
      from_options: {  }
      from_name: '[webform_submission:values:name:raw]'
      subject: '[webform_submission:values:subject:raw]'
      body: '[webform_submission:values:message:value]'
      excluded_elements: {  }
      ignore_access: false
      exclude_empty: true
      html: true
      attachments: false
      debug: false
      reply_to: ''
      return_path: ''
      sender_mail: ''
      sender_name: ''
